%define	with_python_subpackage	0%{nil}
%define	with_python_version	2.2%{nil}
%define	with_bzip2		1%{nil}
%define	with_apidocs		0%{nil}

# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

%define	__prefix	/usr
#%{?!_lib: %define _lib lib}
%define _lib lib

%{expand: %%define __share %(if [ -d %{__prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __mandir	%{__prefix}%{__share}/man

Summary: The RPM package management system.
Name: rpm
%define version 4.4.2
Version: %{version}
%{expand: %%define rpm_version %{version}}
Release: 46
Group: System Environment/Base
Source: ftp://wraptastic.org/pub/rpm-4.4.x/rpm-%{rpm_version}.tar.gz
Source1: mono-find-provides
Source2: mono-find-requires
Source3: beecrypt-4.1.2.tar.gz
Source4: neon-0.24.7.tar.gz
# RedHat version; correctly handles language-specific files.
# Otherwise, coreutils fails to build.
Source5: find-lang.sh
Source6: elfutils-0.128.tar.gz

Patch0: rpm-4.4.1-hkp-disable.patch
Patch1: rpm-4.4.1-fileconflicts.patch 
Patch2: rpm-4.4.1-prereq.patch
Patch3: rpm-4.4.1-nonmerged.patch
Patch4: rpm-4.4.1-prepostun.patch
Patch5: rpm-4.4.1-ordererase.patch
Patch6: rpm-4.4.2-matchpathcon.patch
Patch7: rpm-4.4.2-perlreq.patch
Patch8: rpm-4.4.2-db3-param.patch
Patch9: rpm-4.4.2-contextverify.patch
Patch10: rpm-4.4.2-popt-charset.patch
Patch11: rpm-4.4.2-ghost-conflicts.patch
Patch12: rpm-4.4.2-exclude.patch
Patch13: rpm-4.4.2-excluded-size.patch
Patch14: rpm-4.4.2-cronpath.patch
Patch15: rpm-4.4.2-mono.patch
Patch16: rpm-4.4.2-file-softmagic.patch
Patch17: rpm-4.4.2-no-large-mmap.patch
Patch18: rpm-4.4.2-perlmainprov.patch
Patch19: rpm-4.4.2-rpmsq-deadlock.patch
Patch20: rpm-4.4.2-netsharedpath.patch
Patch21: rpm-4.4.2-userlock.patch
Patch22: rpm-4.4.2-vercmp.patch
Patch23: rpm-4.4.2-doxy.patch
Patch24: rpm-4.4.2-trust.patch
Patch25: rpm-4.4.2-devel-autodep.patch
Patch26: rpm-4.4.2-rpmfc-skip.patch
Patch27: rpm-4.4.2-noselinux-verify.patch
Patch28: rpm-4.4.2-python-aslist.patch
Patch29: rpm-4.4.2-rpmio-ipv6.patch
Patch30: rpm-4.4.2-gnuhash.patch
Patch31: rpm-4.4.2-debugedit-ppc-reloc.patch
Patch32: rpm-4.4.2-debugpaths.patch
Patch33: rpm-4.4.2-transaction-order.patch
Patch34: rpm-4.4.2-debugopt.patch
Patch35: rpm-4.4.2-query-flushbuffer.patch
Patch36: rpm-4.4.2-unicodekey.patch


Patch37: rpm-4.4.2-runtime-prefix.patch
Patch38: rpm-4.4.1-noarch.patch

Patch39: beecrypt-4.1.2-base64.patch
Patch40: beecrypt-4.1.2-python-api.patch
Patch41: neon-0.23.9-config.patch
Patch42: neon-0.24.7-gssapi.patch
Patch43: neon-0.24.7-min.patch
Patch44: rpm-4.4.2-addlibs.patch
Patch45: rpm-4.4.2-ppc64.patch
Patch46: rpm-4.4.2-sort.patch
Patch47: rpm-4.4.2-debuginfo.patch
Patch48: rpm-4.4.2-debugedit-libelf.patch

Patch49: elfutils-strip-copy-symtab.patch
Patch50: elfutils-robustify.patch
Patch51: elfutils-portability.patch
Patch52: elfutils-stdc.patch
Patch53: rpm-4.4.2-rpmbuild-no-libelf.patch

License: GPL
Conflicts: patch < 2.5
#%ifos linux
#Prereq: fileutils shadow-utils
#%endif
#Requires: popt = 1.7.1
#Requires: elfutils-libelf-devel
#Requires: elfutils-libelf
Obsoletes: rpm-perl < %{version}

#BuildRequires: zlib-devel
## XXX Red Hat 5.2 has not bzip2 or python
#%if %{with_bzip2}
#BuildRequires: bzip2 >= 0.9.0c-2
#%endif
#%if %{with_python_subpackage}
#BuildRequires: python-devel >= %{with_python_version}
#%endif

BuildRoot: %{_tmppath}/%{name}-root

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package devel
Summary:  Development files for manipulating RPM packages.
Group: Development/Libraries
Requires: rpm = %{rpm_version}

%description devel
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary: Scripts and executable programs used to build packages.
Group: Development/Tools
#Requires: rpm = %{rpm_version}, patch >= 2.5, file
Requires: rpm = %{rpm_version}
Provides: rpmbuild(VendorConfig) = 4.1-1

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%if %{with_python_subpackage}
%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Libraries
Requires: rpm = %{rpm_version}
#Requires: python >= %{with_python_version}

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.
%endif

%package -n popt
Summary: A C library for parsing command line parameters.
Group: Development/Libraries
Version: 1.7.1

%description -n popt
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%prep
%setup -q

%patch0 -p1  -b .nohkp
# Disabled
#%patch1 -p1  -b .fileconflicts
%patch2 -p1  -b .prereq
%patch3 -p1  -b .rpmal
%patch4 -p1  -b .prepostun
%patch5 -p1  -b .ordererase
# patch 6 moved
%patch7 -p1  -b .perlreq
%patch8 -p1  -b .param
%patch10 -p1  -b .charset
%patch11 -p1  -b .ghostconflicts
#patch12 -p1  -b .exclude
%patch13 -p1  -b .excludedsize
%patch14 -p1  -b .cronpath
%patch15 -p1  -b .mono
%patch16 -p1 -b .magic
%patch17 -p1 -b .no_large_mmap
%patch18 -p1 -b .perlmainprov
%patch19 -p1 -b .deadlock
%patch20 -p1 -b .netsharedpath
%patch21 -p1 -b .userlock
%patch22 -p1 -b .vercmp
%patch23 -p1 -b .doxy
%patch24 -p1 -b .trust
%patch25 -p1 -b .develdeps
%patch26 -p1 -b .fcskip
%patch27 -p0 -b .nosever
# Disabled
# %patch6 -p1  -b .matchpathcon
%patch28 -p1 -b .aslist
%patch29 -p1 -b .ipv6
%patch30 -p1 -b .gnuhash
%patch31 -p0 -b .dbgppc
%patch32 -p1 -b .dbgpaths
%patch33 -p1 -b .order
%patch34 -p1 -b .dbgopt
%patch35 -p1 -b .flush
%patch36 -p1 -b .unicode

%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch37 -p1


tar zxpvf %{SOURCE3}
mv beecrypt-4.1.2 beecrypt
pushd beecrypt
%patch39 -p1
%patch40 -p1
./configure --host=$RPM_ARCH-linux --build=i386-linux \
  --without-cplusplus --without-java --without-python --prefix=/usr
popd

tar zxpvf %{SOURCE4}
mv neon-0.24.7 neon
pushd neon
%patch41 -p1
%patch42 -p1
%patch43 -p1
ne_cv_gai_addrconfig=no \
./configure --prefix=/usr --host=$RPM_ARCH-linux --build=i386-linux --with-expat --enable-shared=yes
ln -sf . src/neon
popd
>missing
%patch38 -p1
%patch47 -p1

%patch48 -p1
tar zxpvf %{SOURCE6}
mv elfutils-0.128 elfutils
pushd elfutils
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p2

# XXX trivial patch for 0.128
sed -e /ifndef/s/PACKAGE/PACKAGE_NAME/ libdwfl/libdwflP.h > _tmp
mv _tmp libdwfl/libdwflP.h

export ac_cv_c99=yes
%configure CFLAGS="$RPM_OPT_FLAGS -fexceptions" \
        --target=%{_targetarch}-linux --program-prefix="eu-"
unset ac_cv_c99
# throw out Werror flag
for i in `find . -name Makefile`; do
	sed -e "s|-Werror||" < $i > ${i}__
	mv ${i}__ $i
done

# Configure expects libdwarf
ln -s libdw libdwarf
popd
# Disable libelf usage for rpmbuild (got SIGSEGFAULT otherwise in 
#  sha512Digest()).
%patch53 -p1

%build

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version}"
%else
WITH_PYTHON="--without-python"
%endif

#%ifos linux
%ifarch x86_64 s390 s390x
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
%else
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
%endif

CFLAGS="$RPM_OPT_FLAGS" \
LIBMISC="/usr/lib/libexpat.a" \
LDFLAGS_STATIC="-all-static" \
ac_cv_header_bzlib_h=no ac_cv_lib_bz2_BZ2_bzread=no ac_cv_lib_bz2_bzread=no \
ac_cv_header_beecrypt_beecrypt_h=yes \
ac_cv_header_beecrypt_api_h=yes \
ac_cv_lib_beecrypt_mpfprintln=yes \
ac_cv_header_neon_ne_session_h=yes \
ac_cv_lib_neon_ne_session_create=yes \
ac_cv_lib_neon_ne_get_response_header=no \
ac_cv_lib_neon_ne_send_request_chunk=no \
ac_cv_header_sqlite3_h=no \
ac_cv_header_gelf_h=no \
ac_cv_lib_elf_gelf_getvernaux=no \
ac_cv_header_dwarf_h=no \
./configure --prefix=%{__prefix} --sysconfdir=/etc \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' \
        --with-target-arch=%{_targetarch} --enable-static=yes --disable-shared \
	--without-selinux --without-apidocs --disable-tcl \
%ifos linux
            --host=i386-pc-linux-gnu \
%else
            --host=sparc-sun-solaris2.6 \
%endif
	$WITH_PYTHON --without-javaglue # --enable-posixmutexes

# XXX hack out O_DIRECT support in db4 for now.
perl -pi -e 's/#define HAVE_O_DIRECT 1/#undef HAVE_O_DIRECT/' db3/db_config.h

make

%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install

# Clean up dangling symlinks
# XXX Fix in rpm tree
for i in /usr/bin/rpme /usr/bin/rpmi /usr/bin/rpmu; do
    rm -f "$RPM_BUILD_ROOT"/"$i" 
done

# Clean up dangling symlinks
for i in %{_libdir}/rpmpopt %{_libdir}/rpmrc; do
    rm -f "$RPM_BUILD_ROOT"/"$i" 
done

%ifos linux solaris2.6

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
for dbi in \
	Basenames Conflictname Dirnames Group Installtid Name Packages \
	Providename Provideversion Requirename Requireversion Triggername \
	Filemd5s Pubkeys Sha1header Sigmd5 \
	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
	__db.008 __db.009
do
    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
done

%endif

%if %{with_apidocs}
gzip -9n apidocs/man/man*/* || :
%endif

# Get rid of unpackaged files
{ cd $RPM_BUILD_ROOT
  rm -rf .%{__includedir}/beecrypt
  rm -f .%{__libdir}/libbeecrypt.{a,la,so.2.2.0}
#  find usr/lib -name 'lib*.so.*' -exec rm -f {} \;
  #rm -rf usr/include
  rm -f usr/include/{dwarf.h,gelf.h,libelf.h,nlist.h}
  rm -rf usr/include/elfutils
  rm -f usr/lib/libbeecrypt.so*
  rm -rf usr/lib/elfutils
  rm -f usr/lib/libasm*
  rm -f usr/lib/libdw*
  rm -f usr/lib/libebl.a
  rm -f usr/bin/eu-{addr2line,ar,elfcmp,elflint,findtextrel,ld,nm,objdump,ranlib,readelf,size,strings,unstrip}
#  find usr/lib -name 'lib*.so' -exec rm -f {} \;
  rm -f .%{__prefix}/lib/rpm/{Specfile.pm,cpanflute,cpanflute2,rpmdiff,rpmdiff.cgi,sql.prov,sql.req,tcl.req}
  rm -rf .%{__mandir}/{fr,ko}
  rm -rf .%{_bindir}/sqlite3 .%{_includedir}/sqlite3.h .%{_libdir}/libsqlite3.* 
  rm -rf .%{_libdir}/pkgconfig/sqlite3.pc
}

# Strip files
for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
        grep -v ' shared object,' | \
        sed -n -e 's/^\(.*\):[  ]*ELF.*, not stripped/\1/p'`
do
        strip $f || :
done

# Install mono find-provides/requires
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/rpm
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/rpm
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/lib/rpm

%clean
rm -rf $RPM_BUILD_ROOT

#%pre
#%ifos linux
#if [ -f /var/lib/rpm/packages.rpm ]; then
#    echo "
#You have (unsupported)
#	/var/lib/rpm/packages.rpm	db1 format installed package headers
#Please install rpm-4.0.4 first, and do
#	rpm --rebuilddb
#to convert your database from db1 to db3 format.
#"
##    exit 1
#fi
#/usr/sbin/groupadd -g 37 rpm				> /dev/null 2>&1
#/usr/sbin/useradd  -r -d /var/lib/rpm -u 37 -g 37 rpm	> /dev/null 2>&1
#%endif
#exit 0
#
#%post
#%ifos linux
#/sbin/ldconfig
#/bin/chown rpm.rpm /var/lib/rpm/[A-Z]*
#%endif
#exit 0
#
#%ifos linux
#%postun
#/sbin/ldconfig
#if [ $1 = 0 ]; then
#    /usr/sbin/userdel rpm
#    /usr/sbin/groupdel rpm
#fi
#exit 0
#
#%post devel -p /sbin/ldconfig
#%postun devel -p /sbin/ldconfig
#
#%post -n popt -p /sbin/ldconfig
#%postun -n popt -p /sbin/ldconfig
#%endif
#
#%if %{with_python_subpackage}
#%post python -p /sbin/ldconfig
#%postun python -p /sbin/ldconfig
#%endif

#%define	rpmattr		%attr(0755, rpm, rpm)
%define		rpmattr		%attr(0755, root, root)

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY BETA-GPG-KEY CHANGES GROUPS doc/manual/[a-z]*
#%pubkey RPM-PGP-KEY
#%pubkey RPM-GPG-KEY
#%pubkey BETA-GPG-KEY
#%attr(0755, rpm, rpm)	/bin/rpm
%attr(0755, root, root)   /bin/rpm

%ifos linux solaris2.6
%config(noreplace,missingok)	/etc/cron.daily/rpm
%config(noreplace,missingok)	/etc/logrotate.d/rpm
%dir				/etc/rpm
#%config(noreplace,missingok)	/etc/rpm/macros.*
#%attr(0755, rpm, rpm)	%dir /var/lib/rpm
#%attr(0755, rpm, rpm)	%dir /var/spool/repackage
%attr(0755, root, root) %dir /var/lib/rpm
%attr(0755, root, root) %dir /var/spool/repackage

#%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
%define        rpmdbattr %attr(0644, root, root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)

%rpmdbattr	/var/lib/rpm/*
%endif

%rpmattr	%{__bindir}/rpm2cpio
%rpmattr	%{__bindir}/gendiff
%rpmattr	%{__bindir}/rpmdb
#%rpmattr	%{__bindir}/rpm[eiu]
%rpmattr	%{__bindir}/rpmsign
%rpmattr	%{__bindir}/rpmquery
%rpmattr	%{__bindir}/rpmverify

#%{__libdir}/librpm-4.1.so
#%{__libdir}/librpmdb-4.1.so
#%{__libdir}/librpmio-4.1.so
#%{__libdir}/librpmbuild-4.1.so

#%attr(0755, rpm, rpm)	%dir %{__prefix}/lib/rpm
%attr(0755, root, root)  %dir %{__prefix}/lib/rpm
%rpmattr	%{__prefix}/lib/rpm/config.guess
%rpmattr	%{__prefix}/lib/rpm/config.sub
%rpmattr	%{__prefix}/lib/rpm/convertrpmrc.sh
%rpmattr	%{__prefix}/lib/rpm/freshen.sh
#%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/macros
%attr(0644, root, root)  %{__prefix}/lib/rpm/macros
%rpmattr	%{__prefix}/lib/rpm/mkinstalldirs
%rpmattr	%{__prefix}/lib/rpm/rpm.*
%rpmattr	%{__prefix}/lib/rpm/rpm2cpio.sh
%rpmattr	%{__prefix}/lib/rpm/rpm[deiukqv]
%rpmattr	%{__prefix}/lib/rpm/tgpg
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmpopt*
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmrc
#%attr(0644, root, root)   %{__prefix}/lib/rpm/rpmpopt*
#%attr(0644, root, root)   %{__prefix}/lib/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon
#%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/i[3456]86*
#%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/athlon*
%attr(-, root, root)            %{__prefix}/lib/rpm/i[3456]86*
%attr(-, root, root)            %{__prefix}/lib/rpm/athlon*
%attr(-, root, root)            %{__prefix}/lib/rpm/pentium*

%endif
%ifarch alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparcv9 sparc64
#%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/sparc*
%attr(-, root, root)            %{__prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc ppciseries ppcpseries ppcmac ppc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ppc*
%endif
%ifarch s390 s390x
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/s390*
%endif
%ifarch armv3l armv4l
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/armv[34][lb]*
%endif
%ifarch mips mipsel
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/mips*
%endif
%ifarch x86_64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/x86_64*
%endif
#%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/noarch*
%attr(-, root, root)              %{__prefix}/lib/rpm/noarch*

%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/rpm.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/rpm.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/rpm.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/rpm.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/rpm.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/rpm.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/rpm.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/rpm.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/rpm.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/rpm.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/rpm.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/rpm.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/rpm.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/rpm.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/rpm.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/rpm.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/rpm.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/rpm.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/rpm.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/rpm.mo

%{__mandir}/man1/gendiff.1*
%{__mandir}/man8/rpm.8*
%{__mandir}/man8/rpm2cpio.8*
%lang(ja)	%{__mandir}/ja/man[18]/*.[18]*
%lang(pl)	%{__mandir}/pl/man[18]/*.[18]*
%lang(ru)	%{__mandir}/ru/man[18]/*.[18]*
%lang(sk)	%{__mandir}/sk/man[18]/*.[18]*

%files build
%defattr(-,root,root)
%dir %{__prefix}/src/denx
%dir %{__prefix}/src/denx/BUILD
%dir %{__prefix}/src/denx/SPECS
%dir %{__prefix}/src/denx/SOURCES
%dir %{__prefix}/src/denx/SRPMS
%dir %{__prefix}/src/denx/RPMS
%{__prefix}/src/denx/RPMS/*
%rpmattr	%{__bindir}/rpmbuild
%rpmattr	%{__bindir}/eu-strip
%rpmattr	%{__prefix}/lib/libelf*
%rpmattr	%{__prefix}/lib/rpm/brp-*
%rpmattr	%{__prefix}/lib/rpm/check-files
%rpmattr	%{__prefix}/lib/rpm/check-prereqs
%rpmattr	%{__prefix}/lib/rpm/config.site
%rpmattr	%{__prefix}/lib/rpm/cross-build
%rpmattr	%{__prefix}/lib/rpm/debugedit
%rpmattr	%{__prefix}/lib/rpm/find-debuginfo.sh
%rpmattr	%{__prefix}/lib/rpm/find-lang.sh
%rpmattr	%{__prefix}/lib/rpm/find-prov.pl
%rpmattr	%{__prefix}/lib/rpm/find-provides
%rpmattr	%{__prefix}/lib/rpm/find-provides.perl
%rpmattr	%{__prefix}/lib/rpm/find-req.pl
%rpmattr	%{__prefix}/lib/rpm/find-requires
%rpmattr	%{__prefix}/lib/rpm/find-requires.perl
%rpmattr	%{__prefix}/lib/rpm/get_magic.pl
%rpmattr	%{__prefix}/lib/rpm/getpo.sh
%rpmattr	%{__prefix}/lib/rpm/http.req
%rpmattr	%{__prefix}/lib/rpm/javadeps
%rpmattr	%{__prefix}/lib/rpm/magic
%rpmattr	%{__prefix}/lib/rpm/magic.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.mime
%rpmattr	%{__prefix}/lib/rpm/magic.mime.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.prov
%rpmattr	%{__prefix}/lib/rpm/magic.req
%rpmattr	%{__prefix}/lib/rpm/mono-find-provides
%rpmattr	%{__prefix}/lib/rpm/mono-find-requires
%rpmattr	%{__prefix}/lib/rpm/perldeps.pl
%rpmattr	%{__prefix}/lib/rpm/perl.prov
%rpmattr	%{__prefix}/lib/rpm/perl.req
%rpmattr	%{__prefix}/lib/rpm/pythondeps.sh

%rpmattr	%{__prefix}/lib/rpm/rpm[bt]
%rpmattr	%{__prefix}/lib/rpm/rpmdeps
%rpmattr	%{__prefix}/lib/rpm/trpm
%rpmattr	%{__prefix}/lib/rpm/u_pkg.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides2.sh

%{__mandir}/man8/rpmbuild.8*
%{__mandir}/man8/rpmdeps.8*

%if %{with_python_subpackage}
%files python
%defattr(-,root,root)
#%{__libdir}/python%{with_python_version}/site-packages/rpmmodule.so
%{__libdir}/python%{with_python_version}/site-packages/rpmdb
%endif

%files devel
%defattr(-,root,root)
%if %{with_apidocs}
%doc apidocs
%endif
%{__includedir}/rpm
%{__libdir}/librpm.a
%{__libdir}/librpm.la
#%{__libdir}/librpm.so
%{__libdir}/librpmdb.a
%{__libdir}/librpmdb.la
#%{__libdir}/librpmdb.so
%{__libdir}/librpmio.a
%{__libdir}/librpmio.la
#%{__libdir}/librpmio.so
%{__libdir}/librpmbuild.a
%{__libdir}/librpmbuild.la
#%{__libdir}/librpmbuild.so
%{__mandir}/man8/rpmcache.8*
%{__mandir}/man8/rpmgraph.8*
%rpmattr	%{__prefix}/lib/rpm/rpmcache
%rpmattr	%{__prefix}/lib/rpm/rpmdb_deadlock
%rpmattr	%{__prefix}/lib/rpm/rpmdb_dump
%rpmattr	%{__prefix}/lib/rpm/rpmdb_load
%rpmattr	%{__prefix}/lib/rpm/rpmdb_loadcvt
%rpmattr	%{__prefix}/lib/rpm/rpmdb_svc
%rpmattr	%{__prefix}/lib/rpm/rpmdb_stat
%rpmattr	%{__prefix}/lib/rpm/rpmdb_verify
%rpmattr	%{__prefix}/lib/rpm/rpmdb_archive
%rpmattr	%{__prefix}/lib/rpm/rpmdb_checkpoint
%rpmattr	%{__prefix}/lib/rpm/rpmdb_printlog
%rpmattr	%{__prefix}/lib/rpm/rpmdb_recover
%rpmattr	%{__prefix}/lib/rpm/rpmdb_upgrade
%rpmattr	%{__prefix}/lib/rpm/rpmfile
%rpmattr	%{__bindir}/rpmgraph

%files -n popt
%defattr(-,root,root)
#%{__libdir}/libpopt.so.*
%{__mandir}/man3/popt.3*
%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/popt.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/popt.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/popt.mo
%lang(es)	%{__prefix}/*/locale/es/LC_MESSAGES/popt.mo
%lang(eu_ES)	%{__prefix}/*/locale/eu_ES/LC_MESSAGES/popt.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/popt.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/popt.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/popt.mo
%lang(hu)	%{__prefix}/*/locale/hu/LC_MESSAGES/popt.mo
%lang(id)	%{__prefix}/*/locale/id/LC_MESSAGES/popt.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/popt.mo
%lang(it)	%{__prefix}/*/locale/it/LC_MESSAGES/popt.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/popt.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/popt.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/popt.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/popt.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/popt.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/popt.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/popt.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/popt.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/popt.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/popt.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/popt.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/popt.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/popt.mo
%lang(uk)	%{__prefix}/*/locale/uk/LC_MESSAGES/popt.mo
%lang(wa)	%{__prefix}/*/locale/wa/LC_MESSAGES/popt.mo
%lang(zh)	%{__prefix}/*/locale/zh/LC_MESSAGES/popt.mo
%lang(zh_CN)	%{__prefix}/*/locale/zh_CN/LC_MESSAGES/popt.mo
%lang(zh_TW)	%{__prefix}/*/locale/zh_TW/LC_MESSAGES/popt.mo

# XXX These may end up in popt-devel but it hardly seems worth the effort.
%{__libdir}/libpopt.a
%{__libdir}/libpopt.la
#%{__libdir}/libpopt.so
%{__includedir}/popt.h

%changelog
* Mon May 26 2003 Dan Burcaw <burcaw@terrasoftsolutions.com>
- yellowdog build

* Wed Mar 19 2003 Jeff Johnson <jbj@redhat.com> 4.1.1-1
- release candidate.
- hack out O_DIRECT support in db4 for now.

* Fri Mar 14 2003 Jeff Johnson <jbj@redhat.com> 4.1.1-0.4
- fix: short option help missing string terminator.

* Fri Mar 14 2003 Jeff Johnson <jbj@redhat.com> 4.1.1-0.3
- fix: close db cursors to remove rpmdb references on signal exit.

* Tue Mar  4 2003 Jeff Johnson <jbj@redhat.com> 4.1.1-0.1
- backport rpm-4.2 changes.

* Wed Nov  6 2002 Jeff Johnson <jbj@redhat.com> 4.1-11
- backport db-4.1.17 changes.
- add _noDirTokens macro for 6x builds.

* Thu Oct 10 2002 Jeff Johnson <jbj@redhat.com> 4.1-10
- use %%{_lib} for libraries.

* Mon Oct  7 2002 Jeff Johnson <jbj@redhat.com> 4.1-9
- fix: make sure that psm->child pid is set before SIGCHLD is handled.

* Tue Sep 17 2002 Jeff Johnson <jbj@redhat.com> 4.1-8x
- better diagnostics on failed header parsing.
- lclint clean.
- rpm-4.1 release.

* Wed Sep  4 2002 Jeff Johnson <jbj@redhat.com> 4.1-1.06
- fix: parse pgp packets more carefully.
- fix: parse header data more carefully.
- fix: register SIGCHLD handler before forking (#73134).
